# org.pdfclown.documents.contents.ContentScanner.GraphicsState Class Reference

Graphics state [PDF:1.6:4.3]. More...

List of all members.

## Public Member Functions
object | Clone ()
| Gets a deep copy of the graphics state object.
void | CopyTo (GraphicsState state)
| Copies this graphics state into the specified one.
Matrix | GetInitialCtm ()
| Gets the initial current transformation matrix.
PointF | TextToDeviceSpace (PointF point, bool topDown)
| Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3].
PointF | TextToDeviceSpace (PointF point)
| Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3], expressed in standard PDF coordinate system (lower-left origin).
PointF | UserToDeviceSpace (PointF point)
| Resolves the given user-space point to its equivalent device-space one [PDF:1.6:4.2.3], expressed in standard PDF coordinate system (lower-left origin).
## Properties
IList< BlendModeEnum > | BlendMode`[get, set]`
| Gets/Sets the current blend mode to be used in the transparent imaging model [PDF:1.6:5.2.1].
double | CharSpace`[get, set]`
| Gets/Sets the current character spacing [PDF:1.6:5.2.1].
Matrix | Ctm`[get, set]`
| Gets/Sets the current transformation matrix.
colors::Color | FillColor`[get, set]`
| Gets/Sets the current color for nonstroking operations [PDF:1.6:4.5.1].
colors::ColorSpace | FillColorSpace`[get, set]`
| Gets/Sets the current color space for nonstroking operations [PDF:1.6:4.5.1].
fonts::Font | Font`[get, set]`
| Gets/Sets the current font [PDF:1.6:5.2].
double | FontSize`[get, set]`
| Gets/Sets the current font size [PDF:1.6:5.2].
double | Lead`[get, set]`
| Gets/Sets the current leading [PDF:1.6:5.2.4].
LineCapEnum | LineCap`[get, set]`
| Gets/Sets the current line cap style [PDF:1.6:4.3.2].
LineDash | LineDash`[get, set]`
| Gets/Sets the current line dash pattern [PDF:1.6:4.3.2].
LineJoinEnum | LineJoin`[get, set]`
| Gets/Sets the current line join style [PDF:1.6:4.3.2].
double | LineWidth`[get, set]`
| Gets/Sets the current line width [PDF:1.6:4.3.2].
double | MiterLimit`[get, set]`
| Gets/Sets the current miter limit [PDF:1.6:4.3.2].
TextRenderModeEnum | RenderMode`[get, set]`
| Gets/Sets the current text rendering mode [PDF:1.6:5.2.5].
double | Rise`[get, set]`
| Gets/Sets the current text rise [PDF:1.6:5.2.6].
double | Scale`[get, set]`
| Gets/Sets the current horizontal scaling [PDF:1.6:5.2.3].
ContentScanner | Scanner`[get]`
| Gets the scanner associated to this state.
colors::Color | StrokeColor`[get, set]`
| Gets/Sets the current color for stroking operations [PDF:1.6:4.5.1].
colors::ColorSpace | StrokeColorSpace`[get, set]`
| Gets/Sets the current color space for stroking operations [PDF:1.6:4.5.1].
Matrix | Tlm`[get, set]`
| Gets/Sets the current text line matrix [PDF:1.6:5.3].
Matrix | Tm`[get, set]`
| Gets/Sets the current text matrix [PDF:1.6:5.3].
double | WordSpace`[get, set]`
| Gets/Sets the current word spacing [PDF:1.6:5.2.2].

##

Graphics state [PDF:1.6:4.3].

## Member Function Documentation

object org.pdfclown.documents.contents.ContentScanner.GraphicsState.Clone | ( |  | ) |

Gets a deep copy of the graphics state object.

void org.pdfclown.documents.contents.ContentScanner.GraphicsState.CopyTo | ( | GraphicsState | state | ) |

Copies this graphics state into the specified one.

Parameters:

  | state | Target graphics state object.

References org.pdfclown.documents.contents.ContentScanner.Parent.

Matrix org.pdfclown.documents.contents.ContentScanner.GraphicsState.GetInitialCtm | ( |  | ) |

Gets the initial current transformation matrix.

References org.pdfclown.documents.contents.IContentContext.Box, and org.pdfclown.documents.contents.IContentContext.Rotation.

PointF org.pdfclown.documents.contents.ContentScanner.GraphicsState.TextToDeviceSpace | ( | PointF | point,
|  | bool | topDown |
| ) |  |  |

Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3].

Parameters:

  | point | Point to transform.
  | topDown | Whether the y-axis orientation has to be adjusted to common top-down orientation rather than standard PDF coordinate system (bottom-up).

References org.pdfclown.documents.contents.ContentScanner.CanvasSize.

PointF org.pdfclown.documents.contents.ContentScanner.GraphicsState.TextToDeviceSpace | ( | PointF | point | ) |

Resolves the given text-space point to its equivalent device-space one [PDF:1.6:5.3.3], expressed in standard PDF coordinate system (lower-left origin).

Parameters:

  | point | Point to transform.

References org.pdfclown.documents.contents.ContentScanner.GraphicsState.TextToDeviceSpace().

Referenced by org.pdfclown.documents.contents.ContentScanner.GraphicsState.TextToDeviceSpace().

PointF org.pdfclown.documents.contents.ContentScanner.GraphicsState.UserToDeviceSpace | ( | PointF | point | ) |

Resolves the given user-space point to its equivalent device-space one [PDF:1.6:4.2.3], expressed in standard PDF coordinate system (lower-left origin).

Parameters:

  | point | Point to transform.

## Property Documentation

IList<BlendModeEnum> org.pdfclown.documents.contents.ContentScanner.GraphicsState.BlendMode`[get, set]`

Gets/Sets the current blend mode to be used in the transparent imaging model [PDF:1.6:5.2.1].

The application should use the first blend mode in the list that it recognizes.

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.CharSpace`[get, set]`

Gets/Sets the current character spacing [PDF:1.6:5.2.1].

Matrix org.pdfclown.documents.contents.ContentScanner.GraphicsState.Ctm`[get, set]`

Gets/Sets the current transformation matrix.

colors::Color org.pdfclown.documents.contents.ContentScanner.GraphicsState.FillColor`[get, set]`

Gets/Sets the current color for nonstroking operations [PDF:1.6:4.5.1].

colors::ColorSpace org.pdfclown.documents.contents.ContentScanner.GraphicsState.FillColorSpace`[get, set]`

Gets/Sets the current color space for nonstroking operations [PDF:1.6:4.5.1].

fonts::Font org.pdfclown.documents.contents.ContentScanner.GraphicsState.Font`[get, set]`

Gets/Sets the current font [PDF:1.6:5.2].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.FontSize`[get, set]`

Gets/Sets the current font size [PDF:1.6:5.2].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.Lead`[get, set]`

Gets/Sets the current leading [PDF:1.6:5.2.4].

LineCapEnum org.pdfclown.documents.contents.ContentScanner.GraphicsState.LineCap`[get, set]`

Gets/Sets the current line cap style [PDF:1.6:4.3.2].

LineDash org.pdfclown.documents.contents.ContentScanner.GraphicsState.LineDash`[get, set]`

Gets/Sets the current line dash pattern [PDF:1.6:4.3.2].

LineJoinEnum org.pdfclown.documents.contents.ContentScanner.GraphicsState.LineJoin`[get, set]`

Gets/Sets the current line join style [PDF:1.6:4.3.2].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.LineWidth`[get, set]`

Gets/Sets the current line width [PDF:1.6:4.3.2].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.MiterLimit`[get, set]`

Gets/Sets the current miter limit [PDF:1.6:4.3.2].

TextRenderModeEnum org.pdfclown.documents.contents.ContentScanner.GraphicsState.RenderMode`[get, set]`

Gets/Sets the current text rendering mode [PDF:1.6:5.2.5].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.Rise`[get, set]`

Gets/Sets the current text rise [PDF:1.6:5.2.6].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.Scale`[get, set]`

Gets/Sets the current horizontal scaling [PDF:1.6:5.2.3].

ContentScanner org.pdfclown.documents.contents.ContentScanner.GraphicsState.Scanner`[get]`

Gets the scanner associated to this state.

colors::Color org.pdfclown.documents.contents.ContentScanner.GraphicsState.StrokeColor`[get, set]`

Gets/Sets the current color for stroking operations [PDF:1.6:4.5.1].

colors::ColorSpace org.pdfclown.documents.contents.ContentScanner.GraphicsState.StrokeColorSpace`[get, set]`

Gets/Sets the current color space for stroking operations [PDF:1.6:4.5.1].

Matrix org.pdfclown.documents.contents.ContentScanner.GraphicsState.Tlm`[get, set]`

Gets/Sets the current text line matrix [PDF:1.6:5.3].

Matrix org.pdfclown.documents.contents.ContentScanner.GraphicsState.Tm`[get, set]`

Gets/Sets the current text matrix [PDF:1.6:5.3].

double org.pdfclown.documents.contents.ContentScanner.GraphicsState.WordSpace`[get, set]`

Gets/Sets the current word spacing [PDF:1.6:5.2.2].

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.